Subject: bug#29570: closed (Re: bug#29570: challenge Backtraces)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Dec 2017 16:19:02 +0000

Your bug report

#29570: (web uri) ABI incompatibility in 2.2.3 leads to 'guix pull' breakage

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29570: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29570
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29570: challenge Backtraces
From: [email-masked] (Ludovic Courtès)
To: Vagrant Cascadian <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Dec 2017 17:18:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

[email-masked] (Ludovic Courtès) skribis:

> This is due to an ABI breakage in the (web uri) module that Guile
> provides: in 2.2.3 ‘uri?’ is a procedure, but in 2.2.2 it’s a macro.
>
> As it turns out, build-aux/build-self.scm (which is what ‘guix pull’
> evaluates) selects the latest Guile 2.2.x, so it builds with 2.2.3, but
> then you run that code with 2.2.2, hence the error.

I’ve pushed a workaround as commit
66f217b43aca603326dab17d4dda1a398bf4fb8c.

Thanks,
Ludo’.

Subject: challenge Backtraces
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Mon, 04 Dec 2017 15:16:35 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

After a recent guix pull, I'm getting tracebacks when attempting to run
guix challenge.

I tried switching subsititues to a local caching proxy, not sure if that
could possibly break anything. But after switching back to using the
substitutes directly, the problem still persists.

$ guix --version
guix (GNU guix) 1fa37d1b55b1d25a9d20c7b50a531b763e7a1398

$ guix challenge --substitute-urls="https://berlin.guixsd.org https://mirror.hydra.gnu.org" linux-libre
Backtrace:
          12 (primitive-load "/gnu/store/sy84f3kbjj2f2nl1ljbdcmsqrz8…")
In guix/ui.scm:
  1452:12 11 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    837:9 10 (catch _ _ #<procedure 7f185b219070 at guix/ui.scm:513…> …)
    837:9  9 (catch _ _ #<procedure 7f185b219088 at guix/ui.scm:611…> …)
    837:9  8 (catch _ _ #<procedure 7f1857f1bd70 at guix/scripts/ch…> …)
In guix/scripts/challenge.scm:
   304:13  7 (_)
In guix/store.scm:
  1444:24  6 (run-with-store _ _ #:guile-for-build _ #:system _ # _)
In guix/scripts/challenge.scm:
   305:15  5 (_ _)
   149:34  4 (_ _)
In srfi/srfi-1.scm:
   679:15  3 (append-map _ _ . _)
   592:17  2 (map1 ("https://berlin.guixsd.org"; "https://mirror.hy…"))
In guix/scripts/substitute.scm:
   725:23  1 (lookup-narinfos "https://berlin.guixsd.org"; _)
   697:16  0 (fetch-narinfos "https://berlin.guixsd.org"; ("/gnu/sto…"))

guix/scripts/substitute.scm:697:16: In procedure fetch-narinfos:
guix/scripts/substitute.scm:697:16: Wrong type to apply: #<syntax-transformer uri?>

live well,
  vagrant